=== modified file 'drizzled/field/enum.h'
--- drizzled/field/enum.h	2008-11-19 08:07:10 +0000
+++ drizzled/field/enum.h	2008-12-04 19:04:01 +0000
@@ -62,8 +62,7 @@
   { return (field_metadata & 0x00ff); }
   uint32_t row_pack_length() { return pack_length(); }
   virtual bool zero_pack() const { return 0; }
-  bool optimize_range(uint32_t idx __attribute__((unused)),
-                      uint32_t part __attribute__((unused)))
+  bool optimize_range(uint32_t, uint32_t)
   { return 0; }
   bool eq_def(Field *field);
   bool has_charset(void) const { return true; }

=== modified file 'drizzled/field/null.h'
--- drizzled/field/null.h	2008-11-19 08:07:10 +0000
+++ drizzled/field/null.h	2008-12-04 19:04:01 +0000
@@ -37,16 +37,13 @@
 	       unireg_check_arg, field_name_arg, cs)
     {}
   enum_field_types type() const { return DRIZZLE_TYPE_NULL;}
-  int  store(const char *to __attribute__((unused)),
-             uint32_t length __attribute__((unused)),
-             const CHARSET_INFO * const cs __attribute__((unused)))
-  { null[0]=1; return 0; }
-  int store(double nr __attribute__((unused)))
-  { null[0]=1; return 0; }
-  int store(int64_t nr __attribute__((unused)),
-            bool unsigned_val __attribute__((unused)))
-  { null[0]=1; return 0; }
-  int store_decimal(const my_decimal *d __attribute__((unused)))
+  int  store(const char *, uint32_t, const CHARSET_INFO * const)
+  { null[0]=1; return 0; }
+  int store(double)
+  { null[0]=1; return 0; }
+  int store(int64_t, bool)
+  { null[0]=1; return 0; }
+  int store_decimal(const my_decimal *)
   { null[0]=1; return 0; }
   int reset(void)
   { return 0; }
@@ -55,13 +52,10 @@
   int64_t val_int(void)
   { return 0;}
   my_decimal *val_decimal(my_decimal *) { return 0; }
-  String *val_str(String *value __attribute__((unused)),
-                  String *value2)
+  String *val_str(String *, String *value2)
   { value2->length(0); return value2;}
-  int cmp(const unsigned char *a __attribute__((unused)),
-          const unsigned char *b __attribute__((unused))) { return 0;}
-  void sort_string(unsigned char *buff __attribute__((unused)),
-                   uint32_t length __attribute__((unused)))  {}
+  int cmp(const unsigned char *, const unsigned char *) { return 0;}
+  void sort_string(unsigned char *, uint32_t)  {}
   uint32_t pack_length() const { return 0; }
   void sql_type(String &str) const;
   uint32_t size_of() const { return sizeof(*this); }

=== modified file 'drizzled/functions/abs.h'
--- drizzled/functions/abs.h	2008-10-25 04:31:54 +0000
+++ drizzled/functions/abs.h	2008-12-04 19:04:01 +0000
@@ -32,7 +32,7 @@
   my_decimal *decimal_op(my_decimal *);
   const char *func_name() const { return "abs"; }
   void fix_length_and_dec();
-  bool check_vcol_func_processor(unsigned char *int_arg __attribute__((unused)))
+  bool check_vcol_func_processor(unsigned char *)
   { return false; }
 
 };

=== modified file 'drizzled/functions/additive_op.h'
--- drizzled/functions/additive_op.h	2008-10-13 10:14:09 +0000
+++ drizzled/functions/additive_op.h	2008-12-04 19:04:01 +0000
@@ -28,7 +28,7 @@
 public:
   Item_func_additive_op(Item *a,Item *b) :Item_num_op(a,b) {}
   void result_precision();
-  bool check_vcol_func_processor(unsigned char *int_arg __attribute__((unused)))
+  bool check_vcol_func_processor(unsigned char *)
   { return false; }
 
 };

=== modified file 'drizzled/functions/benchmark.h'
--- drizzled/functions/benchmark.h	2008-11-18 22:12:56 +0000
+++ drizzled/functions/benchmark.h	2008-12-04 19:04:01 +0000
@@ -33,7 +33,7 @@
   const char *func_name() const { return "benchmark"; }
   void fix_length_and_dec() { max_length=1; maybe_null=0; }
   virtual void print(String *str, enum_query_type query_type);
-  bool check_vcol_func_processor(unsigned char *int_arg __attribute__((unused)))
+  bool check_vcol_func_processor(unsigned char *)
   { return true; }
 };
 

=== modified file 'drizzled/item/cmpfunc.h'
--- drizzled/item/cmpfunc.h	2008-11-18 22:12:56 +0000
+++ drizzled/item/cmpfunc.h	2008-12-04 19:04:01 +0000
@@ -369,7 +369,7 @@
   }
   Item *neg_transformer(Session *session);
   virtual Item *negated_item();
-  bool subst_argument_checker(unsigned char **arg __attribute__((unused)))
+  bool subst_argument_checker(unsigned char **)
   { return true; }
 };
 
@@ -490,7 +490,7 @@
   enum Functype rev_functype() const { return EQUAL_FUNC; }
   cond_result eq_cmp_result() const { return COND_TRUE; }
   const char *func_name() const { return "<=>"; }
-  Item *neg_transformer(Session *session __attribute__((unused))) { return 0; }
+  Item *neg_transformer(Session *) { return 0; }
 };
 
 
@@ -581,13 +581,13 @@
 public:
   inline void negate() { negated= !negated; }
   inline void top_level_item() { pred_level= 1; }
-  Item *neg_transformer(Session *session __attribute__((unused)))
+  Item *neg_transformer(Session *)
   {
     negated= !negated;
     return this;
   }
   bool eq(const Item *item, bool binary_cmp) const;
-  bool subst_argument_checker(unsigned char **arg __attribute__((unused)))
+  bool subst_argument_checker(unsigned char **)
   { return true; }
 };
 
@@ -789,8 +789,7 @@
         item  Constant item to store value into. The item must be of the same
               type that create_item() returns.
   */
-  virtual void value_to_item(uint32_t pos __attribute__((unused)),
-                             Item *item __attribute__((unused))) { }
+  virtual void value_to_item(uint32_t, Item *) { }
   
   /* Compare values number pos1 and pos2 for equality */
   bool compare_elems(uint32_t pos1, uint32_t pos2)
@@ -941,8 +940,7 @@
   virtual int compare(cmp_item *item)= 0;
   static cmp_item* get_comparator(Item_result type, const CHARSET_INFO * const cs);
   virtual cmp_item *make_same()= 0;
-  virtual void store_value_by_template(cmp_item *tmpl  __attribute__((unused)),
-                                       Item *item)
+  virtual void store_value_by_template(cmp_item *, Item *item)
   {
     store_value(item);
   }
@@ -1091,7 +1089,7 @@
   {
     value_res= item->val_str(&value);
   }
-  int cmp(Item *item __attribute__((unused)))
+  int cmp(Item *)
   {
     // Should never be called
     assert(0);
@@ -1443,7 +1441,7 @@
   void traverse_cond(Cond_traverser, void *arg, traverse_order order);
   void neg_arguments(Session *session);
   enum_field_types field_type() const { return DRIZZLE_TYPE_LONGLONG; }
-  bool subst_argument_checker(unsigned char **arg __attribute__((unused)))
+  bool subst_argument_checker(unsigned char **)
   { return true; }
   Item *compile(Item_analyzer analyzer, unsigned char **arg_p,
                 Item_transformer transformer, unsigned char *arg_t);

=== modified file 'drizzled/item/row.h'
--- drizzled/item/row.h	2008-11-16 06:29:53 +0000
+++ drizzled/item/row.h	2008-12-04 19:04:01 +0000
@@ -84,7 +84,7 @@
   bool check_cols(uint32_t c);
   bool null_inside() { return with_null; };
   void bring_value();
-  bool check_vcol_func_processor(unsigned char *int_arg __attribute__((unused)))
+  bool check_vcol_func_processor(unsigned char *)
   { return false; }
 };
 

=== modified file 'drizzled/item/sum.h'
--- drizzled/item/sum.h	2008-11-18 22:12:56 +0000
+++ drizzled/item/sum.h	2008-12-04 19:04:01 +0000
@@ -370,7 +370,7 @@
   */
   void no_rows_in_result() { clear(); }
 
-  virtual bool setup(Session *session __attribute__((unused))) {return 0;}
+  virtual bool setup(Session *) {return 0;}
   virtual void make_unique(void) {}
   Item *get_tmp_table_item(Session *session);
   virtual Field *create_tmp_field(bool group, Table *table,
@@ -683,7 +683,7 @@
   String *val_str(String *str);
   void reset_field();
   void update_field();
-  Item *result_item(Field *field __attribute__((unused)))
+  Item *result_item(Field *)
   { return new Item_avg_field(hybrid_type, this); }
   void no_rows_in_result() {}
   const char *func_name() const { return "avg("; }
@@ -774,7 +774,7 @@
   my_decimal *val_decimal(my_decimal *);
   void reset_field();
   void update_field();
-  Item *result_item(Field *field __attribute__((unused)))
+  Item *result_item(Field *)
   { return new Item_variance_field(this); }
   void no_rows_in_result() {}
   const char *func_name() const
@@ -816,7 +816,7 @@
     {}
   enum Sumfunctype sum_func () const { return STD_FUNC; }
   double val_real();
-  Item *result_item(Field *field __attribute__((unused)))
+  Item *result_item(Field *)
     { return new Item_std_field(this); }
   const char *func_name() const { return "std("; }
   Item *copy_or_same(Session* session);
@@ -994,9 +994,8 @@
                                                 const void* key2);
   friend int group_concat_key_cmp_with_order(void* arg, const void* key1,
 					     const void* key2);
-  friend int dump_leaf_key(unsigned char* key,
-                           element_count count __attribute__((unused)),
-			   Item_func_group_concat *group_concat_item);
+  friend int dump_leaf_key(unsigned char* key, element_count,
+                           Item_func_group_concat *group_concat_item);
 
 public:
   Item_func_group_concat(Name_resolution_context *context_arg,

=== modified file 'drizzled/my_decimal.h'
--- drizzled/my_decimal.h	2008-11-17 07:23:53 +0000
+++ drizzled/my_decimal.h	2008-12-04 19:04:01 +0000
@@ -273,8 +273,7 @@
 
 
 inline
-int my_decimal2double(uint32_t mask __attribute__((unused)), 
-                      const my_decimal *d, double *result)
+int my_decimal2double(uint32_t, const my_decimal *d, double *result)
 {
   /* No need to call check_result as this will always succeed */
   return decimal2double((decimal_t*) d, result);

